Zonemaster::Engine::Packet(3pm)

NAME
Zonemaster::Engine::Packet - wrapping object for Zonemaster::LDNS::Packet objects

SYNOPSIS
    my $packet = $ns->query('iis.se', 'NS');
    my @rrs = $packet->get_records('ns');

ATTRIBUTES

packet
    Holds the Zonemaster::LDNS::Packet the object is wrapping.

METHODS

no_such_record
    Returns true if the packet represents an existing DNS node lacking any records of the requested type.

no_such_name
    Returns true if the packet represents a non-existent DNS node.

is_redirect
    Returns true if the packet is a redirect to another set of nameservers.

get_records($type[, @section])
    Returns the Zonemaster::LDNS::RR objects of the requested type in the packet. If the optional @section argument is given, and is a list of "answer", "authority" and "additional", only RRs from those sections are returned.

get_records_for_name($type, $name[, @section])
    Returns all Zonemaster::LDNS::RR objects for the given name in the packet. If the optional @section argument is given, and is a list of "answer", "authority" and "additional", only RRs from those sections are returned.

has_rrs_of_type_for_name($type, $name)
    Returns true if the packet holds any RRs of the specified type for the given name.

answerfrom
    Wrapper for the underlying packet method, that replaces udnefined values with the string "<unknown>".

TO_JSON
    Support method for JSON to be able to serialize these objects.

METHODS PASSED THROUGH
These methods are passed through transparently to the underlying Zonemaster::LDNS::Packet object.

•   data

•   rcode

•   aa

•   ra

•   tc

•   question

•   answer

•   authority

•   additional

•   print

•   string

•   answersize

•   unique_push

•   timestamp

•   type

•   edns_size

•   edns_rcode

•   edns_version

•   edns_z

•   edns_data

•   has_edns

•   id

•   querytime

•   do

•   opcode